Subject: Re: [mpls] Doubts in RFC 5036

From: priyanka gupta <[email-masked]>
Date: Wed, 16 Apr 2008 09:55:10 +0530 (IST)

Thanks Vasu .

I still have one doubt in second explaination.
If session parameters donot match and adjacent or targeted peer are periodically sending  the hello messages ,in that case adjacency will be present but no session.As per state machine the peer will again try to establish the session again the negotiation fails...this processess will continue for 2min(as per RFC).atfter that no retry for session establishment.In this case too,do  i need to maintain the adjacency?still is there any need to send the hello packets to the peer who is not atall ready to establish a session.

what I can say is delete adjacency and stop sending hello packet too.And this activity should be noticed by operator.Correct me if im wrong.

thanks & regards,
Priyanka Gupta

----- Original Message ----
From: Anup Kumar Vasudevan (anuvasud) <[email-masked]>
To: priyanka gupta <[email-masked]>; [email-masked]
Sent: Tuesday, 15 April, 2008 4:52:38 PM
Subject: RE: [mpls] Doubts in RFC 5036

Hi 
 
My attempt at explaining - 
 
1. We use the LDP keep alive message to setup the session. When we get the session init message we reply with a keep alive message. The keep alive timer is only used to maintain the TCP session. We do not need to use the TCP keep alive messages for LDP. Using TCP keep alives will probably result in unnecessary n/w traffic. The LSR's can recevie any LDP message in order to keep the session alive (keep alive timer from expiring). If LSR's dont have any info to exchange a keep alive message is used. 
 
2. When LSR's exchange hello's they will be able to setup adjacencies. With the Adjacency configured the session setup can be done. In case the session params do not match the session setup wiill fail but the adjacency will remain until timer expiry. I think this is for trouble shooting purposes. Atleast thats what i have used it for. o/w we cannot distinguish between a failed adjaceny setup and a failed session setup. 
 
Thanks and Regards
Anup Vasudevan

From: [email-masked] [mailto:[email-masked]] On Behalf Of priyanka gupta
Sent: Monday, April 14, 2008 7:51 PM
To: [email-masked]
Subject: [mpls] Doubts in RFC 5036

Hi all,
 
I was analysising the LDP RFC and wasnot able to get the reason for few events declared.
 
1)Need of keep aive timer over TCP session.Cannt the TCP keep alive is enough to maintain teh integrity of session?
 
2) In RFC it is written deletion of adjacency will delete the session.Refer section 2.5.5.but vise versa is not clear.
    Will session deletion also deletes the adjacency?As per my understanding whats the need of maintaining adjacency when session establishment parameter are failed in negotiation.

regards,
Priyanka

Unlimited freedom, unlimited storage. Get it now

      Bollywood, fun, friendship, sports and more. You name it, we have it on http://in.promos.yahoo.com/groups/bestofyahoo/

_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls